Base class specifier

SYNOPSIS

pi_id | pi_base(pi_data *);

PARAMETER

pi_data.from: | start base class name
pi_data.to: | end base class name
pi_data.name: | base class name, optionally including preceding scope specifiers separated by " ? "
pi_data.flags: | (PI_PUBLIC | PI_PROTECTED | PI_PRIVATE), PI_VIRTUAL
pi_data.related: | pi_id of class having this base class Default: previous class non-terminated class declaration
pi_data.classname: | full string of classname including scope e.g., X.Y.Z. Class (The delimiter is a full stop)
pi_data.nameSpace: | full scope of class e.g., X.Y.Z

DESCRIPTION
This function specifies one base class of the current class declaration. It must be called whenever the parser detects a base class specifier in the source file.
C/C++ example
class X : public Base_Class_Of_X { ... };
SNiFF+ Fuzzy Parser action

pi_data.from: | points to start of "Base_Class_Of_X"
pi_data.to: | points to end of "Base_Class_Of_X"
pi_data.name: | "Base_Class_Of_X"
pi_data.flags: | PI_PUBLIC

SNiFF+ usage
class hierarchy built in Hierarchy Browser, inheritance information shown in Class Browser

| Note
| The function pi_base() must be called immediately after calling pi_start_class() . See also pi_start_class